Name:           desktopcouch
Version:        1.0.8
Release:        3%{?dist}
Summary:        A CouchDB instance on every desktop
License:        LGPLv3
URL:            https://launchpad.net/desktopcouch
Source:         https://launchpad.net/desktopcouch/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-distutils-extra
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Requires:       python-twisted-core
Requires:       couchdb
%if 0%{?fedora} >= 13
Requires:	avahi-ui-tools
%else
Requires:       avahi-tools
%endif
Requires:       python-desktopcouch = %{version}-%{release}
BuildArch:      noarch

%description
A CouchDB on every desktop, and the code to help it happen.

%package        tools
Summary:        Tools for desktopcouch
Requires:       pygtk2
Requires:       python-desktopcouch = %{version}-%{release}
Requires:       desktop-file-utils

%description    tools
This package contains tools for desktopcouch.

%package -n     python-%{name}
Summary:        Python bindings for desktopcouch
Provides:       python-desktopcouch-records = %{version}-%{release}
Obsoletes:      python-desktopcouch-records < 1.0.7-1
Requires:       desktopcouch = %{version}-%{release}
Requires:       dbus-python
Requires:       python-couchdb
Requires:       pyxdg
Requires:       gnome-python2-gnomekeyring
Requires:       python-twisted-core
Requires:       python-oauth

%description -n python-desktopcouch
These are the python bindings for desktopcouch.

%prep
%setup -q

%build
sed -i -e 's@/usr/lib/desktopcouch/@%{_bindir}/@' org.desktopcouch.CouchDB.service
%{__python2} setup.py build

%install
%{__python2} setup.py install --root=%{buildroot} --record=INSTALLED_FILES

# remove installed docs, we will doc them later
rm -rf %{buildroot}%{_datadir}/doc

# Really? You put them there? In /usr/lib (note, not %{_libdir})? Fail.
mv %{buildroot}/usr/lib/desktopcouch/desktopcouch-* %{buildroot}%{_bindir}\

# We are using Fedora.
rm -rf %{buildroot}%{_datadir}/apport

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/desktopcouch-pair.desktop

%post tools
update-desktop-database -q

%postun tools
update-desktop-database -q

%files
%doc COPYING COPYING.LESSER README
%dir %{_sysconfdir}/xdg/desktop-couch
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/compulsory-auth.ini
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/default.ini
%{_bindir}/desktopcouch-service
%{_bindir}/desktopcouch-stop
%{_bindir}/desktopcouch-get-port
%{_datadir}/dbus-1/services/org.desktopcouch.CouchDB.service
%{_datadir}/desktopcouch

%files tools
%{_bindir}/desktopcouch-pair
%{_datadir}/applications/desktopcouch-pair.desktop
%{_mandir}/man1/desktopcouch-pair.1*

%files -n python-desktopcouch
%doc desktopcouch/records/doc/*.txt
%doc desktopcouch/recordtypes/contacts/*.txt
%{python2_sitelib}/desktopcouch-*egg-info
%{python2_sitelib}/desktopcouch

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 05 2013 Christopher Meng <rpm@cicku.me> - 1.0.8-1
- Update to 1.0.8

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 20 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.7-1
- Update to 1.0.7
- remove the python-desktopcouch-records subpackage and merge the files into
- python-desktopcouch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.9b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.9b-1
- Update to 0.6.9b

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul  6 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.6-1
- Update to 0.6.6

* Wed Mar 24 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.3-4
- Avahi Python bindings got moved around after F-12 (BZ#576738)

* Fri Mar 12 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.3-2
- Fix issues from package review.

* Fri Mar 12 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.3-1
- Update to 0.6.3

* Tue Mar 09 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.2-1
- Update to 0.6.2

* Thu Feb 11 2010 Paul W. Frields <stickster@gmail.com> - 0.6.1-1
- 0.6.1-1
- Fix requirement of avahi-tools

* Mon Nov 23 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5-2
- Fix requirement of desktop-file-utils

* Sun Nov 22 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5-1
- initial package
